# Send a draft later (a minute to a year ahead)

`POST /workspace/inbox/drafts/{id}/schedule` · Rivier · inbox

Send a draft later (a minute to a year ahead).

- Scope: inbox:write
- Graphql: Mutation.inboxDraftSchedule
- Sdk: inbox.draft.schedule
- Cli: inbox draft schedule

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "sendAt": {
      "type": "string",
      "minLength": 10,
      "maxLength": 40
    },
    "force": {
      "type": "boolean"
    },
    "then": {
      "type": "string",
      "enum": [
        "waiting",
        "done",
        "keep"
      ]
    }
  },
  "required": [
    "sendAt"
  ],
  "additionalProperties": false
}
```

## Responses

- `202`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/inbox/drafts/{id}/schedule' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "sendAt": "string"
}'
```
